Bug 231834 - audio/jack: fix build on powerpc64
Summary: audio/jack: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-09-30 22:54 UTC by Piotr Kubaj
Modified: 2018-10-13 15:57 UTC (History)
4 users (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
patch (707 bytes, patch)
2018-09-30 22:54 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-30 22:54:29 UTC
Created attachment 197649 [details]
patch

USES=compiler:c11 is required to build this port on powerpc64.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Nathan 2018-09-30 23:20:58 UTC
Piotr For now, can you try to find an alternative fix instead of compiler:*
Until I can get gcc to build on mips, this will break it
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2018-10-01 03:49:56 UTC
(In reply to Nathan from comment #1)

I'm still gathering information about mips64 logs so I don't have a general reply yet, but ...

In this specific case, are there any mips machines that FreeBSD supports that even have audio available?
Comment 3 Nathan 2018-10-01 03:53:10 UTC
(In reply to Mark Linimon from comment #2)
I have no idea, as I don't have a mips machine myself. Though I don't see why some wouldn't? 

I am currently attempting to get gcc to build on mips-based archs currently. So far it's going ok. But the only alt I know in the meantime to not affect mips is to do like:

USES_archname= compiler:*  (For each gcc arch: powerpc powerpc64 sparc64)
USES=          ${USES_${archname}}
Comment 4 Piotr Kubaj freebsd_committer 2018-10-01 11:13:15 UTC
(In reply to Nathan from comment #3)
mips* machines that work with FreeBSD are all routers. I'm not against supporting mips*, but why would you need this software on a router?

I did some check in this subject, because I use FreeBSD on mips and mips64 myself.

Last desktops that were mips were SGI workstations and those are not supported on FreeBSD.
Comment 5 commit-hook freebsd_committer 2018-10-13 15:54:06 UTC
A commit references this bug:

Author: riggs
Date: Sat Oct 13 15:53:57 UTC 2018
New revision: 481992
URL: https://svnweb.freebsd.org/changeset/ports/481992

Log:
  Fix build on powerpc64

  PR:		231834
  Submitted by:	pkubaj@anongoth.pl
  MFH:		2018Q4 (build fix blanket)

Changes:
  head/audio/jack/Makefile
Comment 6 commit-hook freebsd_committer 2018-10-13 15:56:10 UTC
A commit references this bug:

Author: riggs
Date: Sat Oct 13 15:56:03 UTC 2018
New revision: 481994
URL: https://svnweb.freebsd.org/changeset/ports/481994

Log:
  MFH: r481992

  Fix build on powerpc64

  PR:		231834
  Submitted by:	pkubaj@anongoth.pl

  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/audio/jack/Makefile